#include "iostream"

using namespace std;
int main(){
	long long n,k,i,j,t,s;
	long  long a[1000];
	long long b[1000];
	cin >> n;
	cin >> k;
	for(i=0;i<n;i++){
		cin >> a[i];
	}
	

	s=0;
	
	for(i=0;i<n-1;i++){
	t=1;
		
		for(j=i+1;j<n;j++){
		
			if(a[i]==a[j]){
				
				t++;
			}
	}
		
	if(t==k){
		
		b[s]=a[i];
		s++;
		
	}
	}
cout << s;
cout << "\n";
for(i=0;i<s;i++){
	cout << b[i];
    cout << " ";
}

}